=== debian/changelog ===
python-watchfiles (0.21.0-4) unstable; urgency=medium

  * Team upload.
  * Added patch to fix autopkgtests fail in Python 3.12. (Closes: #1073409)

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 02 Jul 2024 12:30:00 -0000

python-watchfiles (0.21.0-3) unstable; urgency=medium

  * d/rules: disable test_ignore_permission_denied as it hangs on i386.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 01 Mar 2024 12:13:42 -0500

python-watchfiles (0.21.0-2) unstable; urgency=medium

  * d/patches/0001: relax dependencies instead of hardcoding a specific
    version.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 22 Jan 2024 14:45:30 -0500

python-watchfiles (0.21.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1028916)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 16 Jan 2024 00:27:12 -0500
