=== debian/control ===
Source: python-watchfiles
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               python3-all,
               pybuild-plugin-pyproject,
               python3-maturin,
               python3-anyio,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-dirty-equals <!nocheck>,
               python3-docutils <!nodoc>,
               librust-crossbeam-channel-dev,
               librust-notify-dev,
               librust-pyo3-dev,
               cargo,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchfiles
Homepage: https://github.com/samuelcolvin/watchfiles
Testsuite: autopkgtest-pkg-pybuild

Package: python3-watchfiles
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple, modern and high performance file watching in Python
 Simple, modern and high performance file watching and code reload in Python.
 Underlying file system notifications are handled by the Notify Rust library.
 .
 This package is the reincarnation of a previous project named "watchgod".
