## python-watchfiles 0.24.0

=== debian/changelog ===
python-watchfiles (0.24.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 22:04:26 +0000

python-watchfiles (0.24.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:35:59 +0000

python-watchfiles (0.24.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 18 Nov 2024 15:37:27 +0000

python-watchfiles (0.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.24.0.
  * Update 0001-Cargo-versions.patch to fit new upstream version.

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 31 Oct 2024 02:22:54 +0000

python-watchfiles (0.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.23.0. (Closes: #1078384)
  * Remove 0002-fix-autopkgtests-py312.patch and update
    0002-fix-autopkgtests-py312.patch to fit new upstream version.
  * d/control: bump Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 18 Aug 2024 16:30:00 -0000
