=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                librust-notify-dev,
                librust-pyo3-dev,
                cargo,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchfiles
 Homepage: https://github.com/samuelcolvin/watchfiles
