## python-watchfiles 1.1.0

=== debian/changelog ===
python-watchfiles (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:51:13 +0100

python-watchfiles (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Update PyO3 to 0.25.1 (closes: #1114338).
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Sep 2025 12:10:03 +0100
