=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                pybuild-plugin-pyproject,
                python3-maturin,
@@ -16,9 +17,9 @@
                python3-docutils <!nodoc>,
                librust-crossbeam-channel-dev,
                librust-notify-dev,
-               librust-pyo3-dev,
+               librust-pyo3-dev (>= 0.25.1),
                cargo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchfiles
 Homepage: https://github.com/samuelcolvin/watchfiles
