=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

# See https://github.com/samuelcolvin/watchfiles/issues/254
# https://github.com/samuelcolvin/watchfiles/issues/262
export PYBUILD_TEST_ARGS=-k 'not test_awatch_interrupt_raise and not test_ignore_permission_denied'
export PYBUILD_NAME=watchfiles

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock

execute_before_dh_auto_build:
	# Upstream doesn't set the version number...
	sed -i 's/0.0.0/$(DEB_VERSION_UPSTREAM)/' Cargo.toml

override_dh_installman:
	mkdir debian/tmp
	rst2man debian/manpage.rst debian/tmp/watchfiles.1
	dh_installman debian/tmp/watchfiles.1
