=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/samuelcolvin/watchfiles \
refs/tags/v([\d\.]+)
