## python-watchfiles 1.1.1

=== debian/changelog ===
python-watchfiles (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Allow building against PyO3 0.27.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 12 Nov 2025 11:00:14 +0000

python-watchfiles (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Oct 2025 22:32:34 +0000
