=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-docutils <!nodoc>,
                librust-crossbeam-channel-dev,
                librust-notify-dev,
-               librust-pyo3-dev (>= 0.25.1),
+               librust-pyo3-dev (>= 0.26.0),
+               librust-pyo3-dev (<< 0.28.0),
                cargo,
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchfiles.git
